package ec.app.regression.testcases;

public class Keijzer01Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 1;
	}

	@Override
	protected double function(final Double... x) {
		return 0.3 * x[0] * Math.sin(2 * Math.PI * x[0]);
	}

	@Override
	public String getSymbolicRepresentation() {
		return "0.3 * x0 * sin(2 * pi * x0)";
	}
}
